package com.unipi.talepis.softeng2023_8;

import androidx.activity.result.ActivityResult;
import androidx.activity.result.ActivityResultCallback;
import androidx.activity.result.ActivityResultLauncher;
import androidx.activity.result.contract.ActivityResultContracts;
import androidx.appcompat.app.AppCompatActivity;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.EditText;
import android.widget.TextView;

public class MainActivity extends AppCompatActivity {
    EditText editText;
    TextView textView;
    ActivityResultLauncher<Intent> resultLauncher;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        editText = findViewById(R.id.editTextText);
        textView = findViewById(R.id.textView);
        resultLauncher = registerForActivityResult(new ActivityResultContracts.StartActivityForResult(),
                new ActivityResultCallback<ActivityResult>() {
                    @Override
                    public void onActivityResult(ActivityResult o) {
                        if (o.getResultCode()==RESULT_OK){
                            Intent intent = o.getData();
                            String s = intent.getStringExtra("resultData");
                            textView.setText(s);
                        }
                    }
                });
    }
    public void go1(View view){
        Intent intent = new Intent(this, MainActivity2.class);
        intent.putExtra("key1",editText.getText().toString());
        resultLauncher.launch(intent);
    }
    public void map(View view){
        startActivity(new Intent(this, MapsActivity.class));
    }
}